For the complete documentation index, see llms.txt. This page is also available as Markdown.

Model versions

List Model Versions

get

Get model versions according to query filters.

Args: model_version_filter_model: Filter model used for pagination, sorting, filtering. model_name_or_id: Optional name or ID of the model. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response. auth_context: The authentication context.

Returns: The model versions according to query filters.

Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
model_name_or_idany of · nullableOptional
stringOptional
or
string · uuidOptional
hydratebooleanOptionalDefault: false
sort_bystringOptionalDefault: created
logical_operatorstring · enumOptional

Logical Ops to use to combine filters on list methods.

Default: andPossible values:
pageinteger · min: 1OptionalDefault: 1
sizeinteger · min: 1 · max: 10000OptionalDefault: 20
idany of · nullableOptional
string · uuidOptional
or
stringOptional
or
createdany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
updatedany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
run_metadataany of · nullableOptional
stringOptional
or
string[]Optional
tagsany of · nullableOptional
stringOptional
or
string[]Optional
scope_userstring · uuid · nullableOptional
userany of · nullableOptional
string · uuidOptional
or
stringOptional
or
projectany of · nullableOptional
string · uuidOptional
or
stringOptional
nameany of · nullableOptional
stringOptional
or
string[]Optional
numberany of · nullableOptional
integerOptional
or
stringOptional
or
stageany of · nullableOptional
string · enumOptional

All possible stages of a Model Version.

Possible values:
or
stringOptional
or
modelany of · nullableOptional
string · uuidOptional
or
stringOptional
or
Responses
200

Successful Response

application/json
indexintegerRequired
max_sizeintegerRequired
total_pagesintegerRequired
totalintegerRequired
get/api/v1/model_versions
GET /api/v1/model_versions HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "index": 1,
  "max_size": 1,
  "total_pages": 1,
  "total": 1,
  "items": [
    {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "project_id": "123e4567-e89b-12d3-a456-426614174000",
        "stage": "text",
        "number": 1,
        "model": {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "user_id": "123e4567-e89b-12d3-a456-426614174000",
            "project_id": "123e4567-e89b-12d3-a456-426614174000"
          },
          "metadata": {
            "license": "text",
            "description": "text",
            "audience": "text",
            "use_cases": "text",
            "limitations": "text",
            "trade_offs": "text",
            "ethics": "text",
            "save_models_to_registry": true
          },
          "resources": "[Circular Reference]",
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        }
      },
      "metadata": {
        "description": "text",
        "run_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      },
      "resources": {
        "user": {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "active": false,
            "activation_token": "text",
            "full_name": "",
            "email_opted_in": true,
            "is_service_account": true,
            "is_admin": true,
            "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
            "avatar_url": "text"
          },
          "metadata": {
            "password_changed_at": "2026-01-01T00:00:00.000Z",
            "email": "",
            "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
            "user_metadata": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "resources": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "services": {
          "index": 1,
          "max_size": 1,
          "total_pages": 1,
          "total": 1,
          "items": "[Circular Reference]"
        },
        "tags": [
          {
            "body": {
              "created": "2026-01-01T00:00:00.000Z",
              "updated": "2026-01-01T00:00:00.000Z",
              "user_id": "123e4567-e89b-12d3-a456-426614174000",
              "color": "grey",
              "exclusive": true
            },
            "metadata": {
              "tagged_count": 1
            },
            "resources": {
              "user": {
                "body": {
                  "created": "2026-01-01T00:00:00.000Z",
                  "updated": "2026-01-01T00:00:00.000Z",
                  "active": false,
                  "activation_token": "text",
                  "full_name": "",
                  "email_opted_in": true,
                  "is_service_account": true,
                  "is_admin": true,
                  "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
                  "avatar_url": "text"
                },
                "metadata": {
                  "password_changed_at": "2026-01-01T00:00:00.000Z",
                  "email": "",
                  "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
                  "user_metadata": {
                    "ANY_ADDITIONAL_PROPERTY": "anything"
                  }
                },
                "resources": {
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                },
                "id": "123e4567-e89b-12d3-a456-426614174000",
                "permission_denied": false,
                "name": "text"
              },
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "permission_denied": false,
            "name": "text"
          }
        ],
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    }
  ]
}

Get Model Version

get

Get a model version by ID.

Args: model_version_id: id of the model version to be retrieved. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.

Returns: The model version with the given name or ID.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
model_version_idstring · uuidRequired
Query parameters
hydratebooleanOptionalDefault: true
Responses
200

Successful Response

application/json

Response model for model versions.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255 · nullableOptional

The name of the model version

get/api/v1/model_versions/{model_version_id}
GET /api/v1/model_versions/{model_version_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "body": {
    "created": "2026-01-01T00:00:00.000Z",
    "updated": "2026-01-01T00:00:00.000Z",
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "project_id": "123e4567-e89b-12d3-a456-426614174000",
    "stage": "text",
    "number": 1,
    "model": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "project_id": "123e4567-e89b-12d3-a456-426614174000"
      },
      "metadata": {
        "license": "text",
        "description": "text",
        "audience": "text",
        "use_cases": "text",
        "limitations": "text",
        "trade_offs": "text",
        "ethics": "text",
        "save_models_to_registry": true
      },
      "resources": {
        "user": {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "active": false,
            "activation_token": "text",
            "full_name": "",
            "email_opted_in": true,
            "is_service_account": true,
            "is_admin": true,
            "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
            "avatar_url": "text"
          },
          "metadata": {
            "password_changed_at": "2026-01-01T00:00:00.000Z",
            "email": "",
            "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
            "user_metadata": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "resources": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "tags": [
          {
            "body": {
              "created": "2026-01-01T00:00:00.000Z",
              "updated": "2026-01-01T00:00:00.000Z",
              "user_id": "123e4567-e89b-12d3-a456-426614174000",
              "color": "grey",
              "exclusive": true
            },
            "metadata": {
              "tagged_count": 1
            },
            "resources": {
              "user": {
                "body": {
                  "created": "2026-01-01T00:00:00.000Z",
                  "updated": "2026-01-01T00:00:00.000Z",
                  "active": false,
                  "activation_token": "text",
                  "full_name": "",
                  "email_opted_in": true,
                  "is_service_account": true,
                  "is_admin": true,
                  "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
                  "avatar_url": "text"
                },
                "metadata": {
                  "password_changed_at": "2026-01-01T00:00:00.000Z",
                  "email": "",
                  "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
                  "user_metadata": {
                    "ANY_ADDITIONAL_PROPERTY": "anything"
                  }
                },
                "resources": {
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                },
                "id": "123e4567-e89b-12d3-a456-426614174000",
                "permission_denied": false,
                "name": "text"
              },
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "permission_denied": false,
            "name": "text"
          }
        ],
        "latest_version_name": "text",
        "latest_version_id": "123e4567-e89b-12d3-a456-426614174000",
        "visualizations": "[Circular Reference]",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    }
  },
  "metadata": {
    "description": "text",
    "run_metadata": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  },
  "resources": {
    "user": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "active": false,
        "activation_token": "text",
        "full_name": "",
        "email_opted_in": true,
        "is_service_account": true,
        "is_admin": true,
        "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
        "avatar_url": "text"
      },
      "metadata": {
        "password_changed_at": "2026-01-01T00:00:00.000Z",
        "email": "",
        "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
        "user_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "services": {
      "index": 1,
      "max_size": 1,
      "total_pages": 1,
      "total": 1,
      "items": [
        {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "user_id": "123e4567-e89b-12d3-a456-426614174000",
            "project_id": "123e4567-e89b-12d3-a456-426614174000",
            "service_type": {
              "type": "text",
              "flavor": "text",
              "name": "",
              "description": "",
              "logo_url": ""
            },
            "labels": {
              "ANY_ADDITIONAL_PROPERTY": "text"
            },
            "state": "inactive"
          },
          "metadata": {
            "service_source": "text",
            "admin_state": "inactive",
            "config": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "status": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "endpoint": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "prediction_url": "text",
            "health_check_url": "text"
          },
          "resources": "[Circular Reference]",
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        }
      ]
    },
    "tags": [
      {
        "body": {
          "created": "2026-01-01T00:00:00.000Z",
          "updated": "2026-01-01T00:00:00.000Z",
          "user_id": "123e4567-e89b-12d3-a456-426614174000",
          "color": "grey",
          "exclusive": true
        },
        "metadata": {
          "tagged_count": 1
        },
        "resources": {
          "user": {
            "body": {
              "created": "2026-01-01T00:00:00.000Z",
              "updated": "2026-01-01T00:00:00.000Z",
              "active": false,
              "activation_token": "text",
              "full_name": "",
              "email_opted_in": true,
              "is_service_account": true,
              "is_admin": true,
              "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
              "avatar_url": "text"
            },
            "metadata": {
              "password_changed_at": "2026-01-01T00:00:00.000Z",
              "email": "",
              "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
              "user_metadata": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              }
            },
            "resources": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "permission_denied": false,
            "name": "text"
          },
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "permission_denied": false,
        "name": "text"
      }
    ],
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "permission_denied": false,
  "name": "text"
}

Update Model Version

put

Get all model versions by filter.

Args: model_version_id: The ID of model version to be updated. model_version_update_model: The model version to be updated.

Returns: An updated model version.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
model_version_idstring · uuidRequired
Body

Update model for model versions.

stageany of · nullableOptional

Target model version stage to be set

stringOptional
or
string · enumOptional

All possible stages of a Model Version.

Possible values:
forcebooleanOptional

Whether existing model version in target stage should be silently archived or an error should be raised.

Default: false
namestring · nullableOptional

Target model version name to be set

descriptionstring · nullableOptional

Target model version description to be set

add_tagsstring[] · nullableOptional

Tags to be added to the model version

remove_tagsstring[] · nullableOptional

Tags to be removed from the model version

Responses
200

Successful Response

application/json

Response model for model versions.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255 · nullableOptional

The name of the model version

put/api/v1/model_versions/{model_version_id}
PUT /api/v1/model_versions/{model_version_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 108

{
  "stage": "text",
  "force": false,
  "name": "text",
  "description": "text",
  "add_tags": [
    "text"
  ],
  "remove_tags": [
    "text"
  ]
}
{
  "body": {
    "created": "2026-01-01T00:00:00.000Z",
    "updated": "2026-01-01T00:00:00.000Z",
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "project_id": "123e4567-e89b-12d3-a456-426614174000",
    "stage": "text",
    "number": 1,
    "model": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "project_id": "123e4567-e89b-12d3-a456-426614174000"
      },
      "metadata": {
        "license": "text",
        "description": "text",
        "audience": "text",
        "use_cases": "text",
        "limitations": "text",
        "trade_offs": "text",
        "ethics": "text",
        "save_models_to_registry": true
      },
      "resources": {
        "user": {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "active": false,
            "activation_token": "text",
            "full_name": "",
            "email_opted_in": true,
            "is_service_account": true,
            "is_admin": true,
            "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
            "avatar_url": "text"
          },
          "metadata": {
            "password_changed_at": "2026-01-01T00:00:00.000Z",
            "email": "",
            "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
            "user_metadata": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "resources": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "tags": [
          {
            "body": {
              "created": "2026-01-01T00:00:00.000Z",
              "updated": "2026-01-01T00:00:00.000Z",
              "user_id": "123e4567-e89b-12d3-a456-426614174000",
              "color": "grey",
              "exclusive": true
            },
            "metadata": {
              "tagged_count": 1
            },
            "resources": {
              "user": {
                "body": {
                  "created": "2026-01-01T00:00:00.000Z",
                  "updated": "2026-01-01T00:00:00.000Z",
                  "active": false,
                  "activation_token": "text",
                  "full_name": "",
                  "email_opted_in": true,
                  "is_service_account": true,
                  "is_admin": true,
                  "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
                  "avatar_url": "text"
                },
                "metadata": {
                  "password_changed_at": "2026-01-01T00:00:00.000Z",
                  "email": "",
                  "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
                  "user_metadata": {
                    "ANY_ADDITIONAL_PROPERTY": "anything"
                  }
                },
                "resources": {
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                },
                "id": "123e4567-e89b-12d3-a456-426614174000",
                "permission_denied": false,
                "name": "text"
              },
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "permission_denied": false,
            "name": "text"
          }
        ],
        "latest_version_name": "text",
        "latest_version_id": "123e4567-e89b-12d3-a456-426614174000",
        "visualizations": "[Circular Reference]",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    }
  },
  "metadata": {
    "description": "text",
    "run_metadata": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  },
  "resources": {
    "user": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "active": false,
        "activation_token": "text",
        "full_name": "",
        "email_opted_in": true,
        "is_service_account": true,
        "is_admin": true,
        "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
        "avatar_url": "text"
      },
      "metadata": {
        "password_changed_at": "2026-01-01T00:00:00.000Z",
        "email": "",
        "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
        "user_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "services": {
      "index": 1,
      "max_size": 1,
      "total_pages": 1,
      "total": 1,
      "items": [
        {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "user_id": "123e4567-e89b-12d3-a456-426614174000",
            "project_id": "123e4567-e89b-12d3-a456-426614174000",
            "service_type": {
              "type": "text",
              "flavor": "text",
              "name": "",
              "description": "",
              "logo_url": ""
            },
            "labels": {
              "ANY_ADDITIONAL_PROPERTY": "text"
            },
            "state": "inactive"
          },
          "metadata": {
            "service_source": "text",
            "admin_state": "inactive",
            "config": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "status": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "endpoint": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "prediction_url": "text",
            "health_check_url": "text"
          },
          "resources": "[Circular Reference]",
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        }
      ]
    },
    "tags": [
      {
        "body": {
          "created": "2026-01-01T00:00:00.000Z",
          "updated": "2026-01-01T00:00:00.000Z",
          "user_id": "123e4567-e89b-12d3-a456-426614174000",
          "color": "grey",
          "exclusive": true
        },
        "metadata": {
          "tagged_count": 1
        },
        "resources": {
          "user": {
            "body": {
              "created": "2026-01-01T00:00:00.000Z",
              "updated": "2026-01-01T00:00:00.000Z",
              "active": false,
              "activation_token": "text",
              "full_name": "",
              "email_opted_in": true,
              "is_service_account": true,
              "is_admin": true,
              "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
              "avatar_url": "text"
            },
            "metadata": {
              "password_changed_at": "2026-01-01T00:00:00.000Z",
              "email": "",
              "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
              "user_metadata": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              }
            },
            "resources": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "permission_denied": false,
            "name": "text"
          },
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "permission_denied": false,
        "name": "text"
      }
    ],
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "permission_denied": false,
  "name": "text"
}

Delete Model Version

delete

Delete a model by name or ID.

Args: model_version_id: The name or ID of the model version to delete.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
model_version_idstring · uuidRequired
Responses
200

Successful Response

application/json
anyOptional
delete/api/v1/model_versions/{model_version_id}
DELETE /api/v1/model_versions/{model_version_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

ZenML Scarf

Last updated

Was this helpful?